<template>
  <el-dialog title="用户导入" v-model="dialogVisible" width="600px" append-to-body @close="closeDialog"
  >
    <el-form label-width="80px">
      <el-form-item label="下载模板">
        <el-link type="primary" @click="downLoad">企业信息导入模板.xlsx</el-link>
      </el-form-item>
      <el-form-item label="选取文件">
        <FileUpload :limit="1" :fileType="['cvs', 'xlsx']" v-model="form.exportNews.file"></FileUpload>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" plain @click="startExport">开始导入</el-button>
      </el-form-item>
    </el-form>
  </el-dialog>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { ElMessageBox } from 'element-plus'
import FileUpload from '@/components/FileUpload/index'
import { downloadGet  as downloadHttp} from '@/utils/request'
import { downTemplate, importTemplate } from '@/api/system/company/company'
const { proxy } = getCurrentInstance();
const dialogVisible = ref(false)
const form = reactive({
  exportNews: {}
})
function openDialog() {
  dialogVisible.value = true
}

function cloaseDialog() {
  dialogVisible.value = false
}
function downLoad() {
  downTemplate().then(val => {
    downloadHttp('/tool/file/download', {
      fileName: val.msg,
      delete: true
    }, val.msg)
  })
}
function startExport() {

}
defineExpose({
  openDialog,
  cloaseDialog
})
</script>
<style scoped>
.dialog-footer button:first-child {
  margin-right: 10px;
}
</style>
